/*=========================================================================
  
  Authors: Daniel Aguilera, Thierry Carrard, Claire Guilbaud
  
  Copyright (c) CEA/DIF (Comissariat a l'Energie Atomique, Direction Ile de France) 
                BP12 91680 Bruyeres Le Chatel 
                France 
  All rights reserved.
  
     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.
  
=========================================================================*/


/*=========================================================================

  Program:   VRPN Extension For The Visualization Toolkit
  Module:    $RCSfile: vtkVRPN.h,v $
  Authors

  Copyright (c) Comissariat a l'Energie Atomique,
  Direction des Applications Militaires (http://www-dam.cea.fr)
  All rights reserved.
 
     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.

=========================================================================*/
// .NAME vtkObject - abstract base class for most VTK objects
// .SECTION Description
// destruct.

// .SECTION Caveats
// constructor is a protected method.

// .SECTION See also
// vtkRPNClient, 

#include "vtkVRPNAnalog.h"

#include <vtkObjectFactory.h>

vtkCxxRevisionMacro(vtkVRPNAnalog,"1.0");
vtkStandardNewMacro(vtkVRPNAnalog);

void vtkVRPNAnalog::RegisterHandlers()
{
#define VrpnAnalogEventEnum(event) \
	this->GetVRPNObject()->register_change_handler( \
	(vtkObject*)this, \
	Superclass::handle<vtkVRPNCommand::VRPN_##event,vrpn_##event##CB> );
#include "vtk_vrpn_database.h"
}

void vtkVRPNAnalog::UnRegisterHandlers()
{
#define VrpnAnalogEventEnum(event) \
	this->GetVRPNObject()->register_change_handler( \
	(vtkObject*)this, \
	Superclass::handle<vtkVRPNCommand::VRPN_##event,vrpn_##event##CB> );
#include "vtk_vrpn_database.h"
}
