/*=========================================================================
  
  Authors: Daniel Aguilera, Thierry Carrard, Claire Guilbaud
  
  Copyright (c) CEA/DIF (Comissariat a l'Energie Atomique, Direction Ile de France) 
                BP12 91680 Bruyeres Le Chatel 
                France 
  All rights reserved.
  
     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.
  
=========================================================================*/


#include "vtkVRPNAnalog_Output.h"
#include "vtkVRPNCommand.h"

#include <vrpn_Analog.h>
#include <vtkObjectFactory.h>

vtkCxxRevisionMacro(vtkVRPNAnalog_Output,"1.0");
vtkStandardNewMacro(vtkVRPNAnalog_Output);

// process analog events to send channel values to a remote analog output
void vtkVRPNAnalog_Output::ProcessEvent(vtkObject* caller, unsigned long eventId, void *callData )
{
	vrpn_ANALOGCB* info;
	switch(eventId)
	{
	case vtkVRPNCommand::VRPN_ANALOG :
		info = (vrpn_ANALOGCB*) callData;
		this->GetVRPNObject()->request_change_channels(info->num_channel, info->channel);
		break;
	default:
		this->Superclass::ProcessEvent(caller,eventId,callData);
		break;
	}
}
