/*=========================================================================
  
  Authors: Daniel Aguilera, Thierry Carrard, Claire Guilbaud
  
  Copyright (c) CEA/DIF (Comissariat a l'Energie Atomique, Direction Ile de France) 
                BP12 91680 Bruyeres Le Chatel 
                France 
  All rights reserved.
  
     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.
  
=========================================================================*/


#include "vtkVRPNCommand.h"

// Voici la liste des evenements VTK qui doit être tenue de manière contigue.
// L'évenement UserEvent y est donc exclu.
static const char * vtkVRPNCommandEventStrings[] = {
#define VrpnEventEnum(device,event) "VRPN_" #event ,
#include "vtk_vrpn_database.h"   
  NULL
};

const char *vtkVRPNCommand::GetStringFromEventId(unsigned long event)
{
  if(event>=VRPN_EventBase && event<VRPN_EventEnd )
  {
    return vtkVRPNCommandEventStrings[event-VRPN_EventBase];
  }
  else
  {
    return vtkCommand::GetStringFromEventId( event );
  }
}

unsigned long vtkVRPNCommand::GetEventIdFromString(const char *event)
{
	for (int i = 0; vtkVRPNCommandEventStrings[i] != NULL; i++) { 
		if ( strcmp(vtkVRPNCommandEventStrings[i],event)==0 ) {
			return vtkVRPNCommand::VRPN_EventBase + i;
		}
	}
	return vtkCommand::GetEventIdFromString(event);
}

