/*=========================================================================
  
  Authors: Daniel Aguilera, Thierry Carrard, Claire Guilbaud
  
  Copyright (c) CEA/DIF (Comissariat a l'Energie Atomique, Direction Ile de France) 
                BP12 91680 Bruyeres Le Chatel 
                France 
  All rights reserved.
  
     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.
  
=========================================================================*/



#ifndef __vtkVRPNCommand_h
#define __vtkVRPNCommand_h

#include <vtkCommand.h>

class vtkVRPNCommand : public vtkCommand
{
 public:

  enum EventBase
  {
    VRPN_EventBase = vtkCommand::UserEvent + 1000
  };

 enum EventIds {
   VRPN_EventBaseMinusOne = VRPN_EventBase-1,
#define VrpnEventEnum(device,event) VRPN_##event ,
#include "vtk_vrpn_database.h"
   VRPN_EventEnd
  };
 
 const char * GetStringFromEventId(unsigned long event);
 unsigned long GetEventIdFromString(const char *event);
};

#endif


