/*=========================================================================
  
  Authors: Daniel Aguilera, Thierry Carrard, Claire Guilbaud
  
  Copyright (c) CEA/DIF (Comissariat a l'Energie Atomique, Direction Ile de France) 
                BP12 91680 Bruyeres Le Chatel 
                France 
  All rights reserved.
  
     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.
  
=========================================================================*/


#include "vtkVRPNForceDevice.h"
#include "vtkVRPNCommand.h"
#include <vtkObjectFactory.h>

vtkCxxRevisionMacro(vtkVRPNForceDevice,"1.0");
vtkStandardNewMacro(vtkVRPNForceDevice);

void vtkVRPNForceDevice::RegisterHandlers()
{
#define VrpnForceDeviceEventEnum(event) \
  this->GetVRPNObject()->register_change_handler( \
  (vtkObject*)this, \
  Superclass::handle<vtkVRPNCommand::VRPN_##event,vrpn_##event##CB> );
#include "vtk_vrpn_database.h"
        }

void vtkVRPNForceDevice::UnRegisterHandlers()
{
#define VrpnForceDeviceEventEnum(event) \
  this->GetVRPNObject()->register_change_handler( \
  (vtkObject*)this, \
  Superclass::handle<vtkVRPNCommand::VRPN_##event,vrpn_##event##CB> );
#include "vtk_vrpn_database.h"
}


