/*=========================================================================
  
  Authors: Daniel Aguilera, Thierry Carrard, Claire Guilbaud
  
  Copyright (c) CEA/DIF (Comissariat a l'Energie Atomique, Direction Ile de France) 
                BP12 91680 Bruyeres Le Chatel 
                France 
  All rights reserved.
  
     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.
  
=========================================================================*/


#ifndef __VTKVRPN_OBJECT_h
#define __VTKVRPN_OBJECT_h

#include <vtkObject.h>
#include <vtkSetGet.h>

class vtkCommand;

class VTK_COMMON_EXPORT vtkVRPNObject : public vtkObject
{
 public:
  vtkTypeRevisionMacro(vtkVRPNObject, vtkObject);
  static vtkVRPNObject* New();

  vtkGetMacro( Observer, vtkCommand* );

 protected:
  vtkVRPNObject();
  virtual void ProcessEvent(vtkObject* caller, unsigned long eventId, void *callData);

 private:
  static void callback(vtkObject *caller, unsigned long eid, void *clientdata, void *calldata);
  vtkCommand * Observer;
};


#endif
