/*=========================================================================
  
  Authors: Daniel Aguilera, Thierry Carrard, Claire Guilbaud
  
  Copyright (c) CEA/DIF (Comissariat a l'Energie Atomique, Direction Ile de France) 
                BP12 91680 Bruyeres Le Chatel 
                France 
  All rights reserved.
  
     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.
  
=========================================================================*/


#include "vtkVRPNPoser.h"
#include <vrpn_Tracker.h>
#include <vtkObjectFactory.h>

vtkCxxRevisionMacro(vtkVRPNPoser,"1.0");
vtkStandardNewMacro(vtkVRPNPoser);

vtkVRPNPoser::vtkVRPNPoser()
  : Sensor(AnySensor)
{
}

void vtkVRPNPoser::ProcessEvents(vtkObject* caller, unsigned long eventId, void *callData )
{
	vrpn_TRACKERCB* pos;
	vrpn_TRACKERVELCB* vel;
	switch(eventId)
	{
	case vtkVRPNCommand::VRPN_TRACKER :
		pos = (vrpn_TRACKERCB*) callData;
		if(pos->sensor==Sensor || Sensor==AnySensor)
		{
			this->GetVRPNObject()->request_pose(pos->msg_time,pos->pos,pos->quat);
		}
		break;
	case vtkVRPNCommand::VRPN_TRACKERVEL :
		vel = (vrpn_TRACKERVELCB*) callData;
		if(vel->sensor==Sensor || Sensor==AnySensor)
		{
			this->GetVRPNObject()->request_pose_velocity(vel->msg_time,vel->vel,vel->vel_quat,1.0);
		}
		break;	
	}
}
