/*=========================================================================
  
  Authors: Daniel Aguilera, Thierry Carrard, Claire Guilbaud
  
  Copyright (c) CEA/DIF (Comissariat a l'Energie Atomique, Direction Ile de France) 
                BP12 91680 Bruyeres Le Chatel 
                France 
  All rights reserved.
  
     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.
  
=========================================================================*/


#ifndef __VTKVRPN_POSER_H
#define __VTKVRPN_POSER_H

#include "vtkVRPNRemoteObject.h"
#include "vtkVRPNCommand.h"
#include <vrpn_Poser.h>
#include <vtkSetGet.h>

typedef vtkVRPNRemoteObject<vrpn_Poser_Remote> vtkVRPNRemoteObject_vrpn_Poser_Remote;

class VTK_COMMON_EXPORT vtkVRPNPoser : public vtkVRPNRemoteObject_vrpn_Poser_Remote
{
public:
	vtkTypeRevisionMacro(vtkVRPNPoser,vtkVRPNRemoteObject_vrpn_Poser_Remote);
	static vtkVRPNPoser* New();

	enum SensorEnum { AnySensor = -1 };

	void ProcessEvents(vtkObject* caller, unsigned long eventId, void *callData );
	vtkSetMacro(Sensor,int);
	vtkGetMacro(Sensor,int);

protected:
	vtkVRPNPoser();

private:
	int Sensor;
};

#endif

