/*=========================================================================
  
  Authors: Daniel Aguilera, Thierry Carrard, Claire Guilbaud
  
  Copyright (c) CEA/DIF (Comissariat a l'Energie Atomique, Direction Ile de France) 
                BP12 91680 Bruyeres Le Chatel 
                France 
  All rights reserved.
  
     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.
  
=========================================================================*/


#include "vtkVRPNRemoteObject.h"
#include "vtkVRPNAnalog.h"
#include "vtkVRPNAnalog_Output.h"
#include "vtkVRPNButton.h"
#include "vtkVRPNDial.h"
#include "vtkVRPNForceDevice.h"
#include "vtkVRPNPoser.h"
#include "vtkVRPNSound.h"
#include "vtkVRPNTracker.h"

#include <vtkObjectFactory.h>

#include <string>
using namespace std;

template<class RemoteObj>
vtkCxxRevisionMacro(vtkVRPNRemoteObject<RemoteObj>,"1.0");

#undef vtkInstantiatorNewMacro
#define vtkInstantiatorNewMacro(x)
template<class RemoteObj>
vtkStandardNewMacro(vtkVRPNRemoteObject<RemoteObj>);


template<class RemoteObj>
vtkVRPNRemoteObject<RemoteObj>::vtkVRPNRemoteObject()
  : VRPNObject(0)
{
}

template<class RemoteObj>
vtkVRPNRemoteObject<RemoteObj>::~vtkVRPNRemoteObject()
{
  if(this->VRPNObject!=0)
  {
    this->UnRegisterHandlers();
    delete this->VRPNObject;
    this->VRPNObject = 0;
  }
}

template<class RemoteObj>
void vtkVRPNRemoteObject<RemoteObj>::ConnectTo(const string& _name)
{
  if(this->VRPNObject!=0)
  { 
    this->UnRegisterHandlers();
    delete this->VRPNObject;
    this->VRPNObject = 0;
  }
  string name = _name;
  if( name.find("@") == string::npos ) name+="@localhost";
  this->VRPNObject = new RemoteObj( name.c_str() , 0 );
  this->RegisterHandlers();
}

template<class RemoteObj>
void vtkVRPNRemoteObject<RemoteObj>::MainLoop()
{
  this->VRPNObject->mainloop();
}

template<class RemoteObj>
void vtkVRPNRemoteObject<RemoteObj>::RegisterHandlers()
{
}

template<class RemoteObj>
void vtkVRPNRemoteObject<RemoteObj>::UnRegisterHandlers()
{
}

#define VrpnDeviceEnum(device) \
template class vtkVRPNRemoteObject<vrpn_##device##_Remote>;
#include "vtk_vrpn_database.h"

template class vtkVRPNRemoteObject<vrpn_ForceDevice_Remote_fixed>;
