/*=========================================================================
  
  Authors: Daniel Aguilera, Thierry Carrard, Claire Guilbaud
  
  Copyright (c) CEA/DIF (Comissariat a l'Energie Atomique, Direction Ile de France) 
                BP12 91680 Bruyeres Le Chatel 
                France 
  All rights reserved.
  
     This software is distributed WITHOUT ANY WARRANTY; without even
     the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
     PURPOSE.  See the above copyright notice for more information.
  
=========================================================================*/


// !! THIS FILE SHOULD ONLY BE INCLUDED IN vtkVRPN Package files

#ifndef VrpnDeviceEnum
#define VrpnDeviceEnum(x)
#endif

#ifndef VrpnTrackerEventEnum
#define VrpnTrackerEventEnum(x)
#endif

#ifndef VrpnPoserEventEnum
#define VrpnPoserEventEnum(x)
#endif

#ifndef VrpnButtonEventEnum
#define VrpnButtonEventEnum(x)
#endif

#ifndef VrpnAnalogEventEnum
#define VrpnAnalogEventEnum(x)
#endif

#ifndef VrpnAnalog_OutputEventEnum
#define VrpnAnalog_OutputEventEnum(x)
#endif

#ifndef VrpnForceDeviceEventEnum
#define VrpnForceDeviceEventEnum(x)
#endif

#ifndef VrpnSoundEventEnum
#define VrpnSoundEventEnum(x)
#endif

#ifndef VrpnDialEventEnum
#define VrpnDialEventEnum(x)
#endif

#ifndef VrpnEventEnum
#define VrpnEventEnum(x,y) Vrpn##x##EventEnum(y)
#endif

/*
 * Device class list.
 * a device name must be the same as the client
 * vrpn object, without leading 'vrpn_' and without
 * ending '_Remote'.
 * Example : vrpn_Tracker_Remote -> Tracker.
 */
VrpnDeviceEnum(Tracker)
VrpnDeviceEnum(Poser)
VrpnDeviceEnum(Button)
VrpnDeviceEnum(Analog)
VrpnDeviceEnum(Analog_Output)
VrpnDeviceEnum(ForceDevice)
VrpnDeviceEnum(Sound)
VrpnDeviceEnum(Dial)


/*
 * VRPN events, each attached to corresponding device.
 * Event name must be the name of the vrpn callback
 * parameter type, without leading 'vrpn_' and without
 * ending 'CB'.
 * Example: vrpn_TRACKERCB -> TRACKER.
 * See VRPN client documentation for a list of events.
 */
VrpnEventEnum(Tracker,TRACKER)
VrpnEventEnum(Tracker,TRACKERVEL)
VrpnEventEnum(Tracker,TRACKERACC)
VrpnEventEnum(Tracker,TRACKERTRACKER2ROOM)
VrpnEventEnum(Tracker,TRACKERUNIT2SENSOR)
VrpnEventEnum(Tracker,TRACKERWORKSPACE)
VrpnEventEnum(Button,BUTTON)
VrpnEventEnum(Analog,ANALOG)
VrpnEventEnum(Dial,DIAL)
VrpnEventEnum(ForceDevice,FORCE)
VrpnEventEnum(ForceDevice,FORCESCP)

#undef VrpnDeviceEnum
#undef VrpnEventEnum
#undef VrpnTrackerEventEnum
#undef VrpnButtonEventEnum
#undef VrpnAnalogEventEnum
#undef VrpnDialEventEnum
#undef VrpnForceDeviceEventEnum
#undef VrpnPoserEventEnum
#undef VrpnSoundEventEnum
#undef VrpnAnalog_OutputEventEnum
